<?

    
// ======================================================
//        SALVATAGGIO DATI
// ======================================================
	
	
	$prosegui = true;
	
	$insert = true;
	
	$err = 0;
	
	$idu = -1;
        
    $codeerr = 0;

	$ukey = $_SESSION['ukey'];

	if(!isset($_contattiuser)) $_contattiuser = 0;
	if(!isset($_utentiuser))  $_utentiuser = 0;

        
    if($_SESSION['usrparams']!="")
    {
        
        $a_usrparams = unserialize($_SESSION['usrparams']);
        extract($a_usrparams);
        
		if(isset($_SESSION['usrfparams']))
		{
					$a_usrfparams = unserialize($_SESSION['usrfparams']);
					extract($a_usrfparams);
		}
		       
        $usr_username = $a_usrparams["usr_".$_field_username];
  
   	    $sql = "SELECT id_utenti, ukey FROM $tbl_utenti WHERE username ='$usr_username' AND level <= $MAXUSERSLEVEL AND cancellato='0'";
    	$mydb->DoSelect($sql);
    	$rtmp = $mydb->GetRow();
    	
    	$n = $mydb->NrRecord;
    	
    	if($n > 0){
    		
    		
    	    $insert = false;
    	    $idu = $rtmp['id_utenti'];
            $key = $rtmp['ukey'];
            
    	} 
        
        
    	if($err==0 && $insert) {
    		
            
            $newlevel = 1;

            if(!isset($chk_marketing)) $chk_marketing = '0';
               
            $sql = "INSERT INTO $tbl_utenti (nome, cognome, username, email, ukey, `level`, data_ins, tipo, tipo_reg ) VALUES (";
    		$sql .= "'$usr_nome', '$usr_cognome', '$usr_username',  '$usr_email',  '$ukey', $newlevel, NOW(), '1', '$modereg') ";
    	                                 
    		$mydb->ExecSql($sql);
    		//echo $sql;
    		
    		$idu = $mydb->LastInsertedId;
                
			if(!isset($_autoenableuser)) $_autoenableuser = 0;
			if($idu>0 && $_autoenableuser==1) {
				$sql = "UPDATE $tbl_utenti SET stato = '1' WHERE idutente=$idu";
				$mydb->ExecSql($sql);
			}
                 
            $_SESSION['idUtenteNew'] = $idu;
 
    		
    		if($idu>1 ){
    			
    			 add_log(Date("Y-m-d H:i")." REGISTRAZIONE UTENTE: OK ".$idu."\n\n");
                         
                         if($_regpassword)
                         {
                             $usr_passwordc = md5($usr_password);

                         } else {
                             $usr_passwordc = generate_password(8);
                         }
                         
                        $sql = "UPDATE $tbl_utenti SET password = '$usr_passwordc' WHERE id_utenti=$idu";
                        $mydb->ExecSql($sql);

						$sql = "INSERT IGNORE INTO t_utenti_privacy (id_utente, ukey, data_ins) VALUES ($idu, '$ukey', NOW())";
						$mydb->ExecSql($sql);

						$sql = "UPDATE t_utenti_privacy SET data_refresh = NOW(), privacy='1', termini='1', chk1='$chk_marketing' WHERE id_utente=$idu";
						$mydb->ExecSql($sql);

						$sql = "UPDATE $tbl_utenti SET rs = '".myencodeTxt($usrf_rs)."' WHERE id_utenti=$idu";
                        $mydb->ExecSql($sql);

						
						                        
						if(isset($usr_codice))
						{
                        $sql = "INSERT INTO t_utenti_vars (id_utente, nome, valore) VALUES ($idu, 'codice', '$usr_codice')";
                        $mydb->ExecSql($sql);
                        
                        $sql = "UPDATE t_codici SET data_usato=NOW() WHERE codice='$usr_codice'";
                        $mydb->ExecSql($sql);
						}
    			 
    			if($_contattiuser || $_utentiuser)
    			{
					if($_contattiuser) {
						$tbl_utentiG = "contatti";
					    $tbl_utentiG_anag = "contatti_anag";
						$tbl_keyanag = "id";
						$fkey = "id_contatto";
					} elseif($_utentiuser) {
						$tbl_utentiG = "utenti";
						$tbl_utentiG_anag = "utenti_anag";
						$tbl_keyanag = "id_utenti";
						$fkey = "id_main";
					}

                    
    		        $stato="NA";
				 
				 	$sql = "INSERT INTO $tbl_utentiG ( id_circuito, nome, cognome,  email, data_reg, id_utente_portale, stato, tipo, categoria) VALUES ( $_id_circuito, " ;
					$sql .= "'$usr_nome', '$usr_cognome', '$usr_email',  NOW(), $idu, '$stato', '9', '8') ";

					$mydbG->ExecSql($sql);
					
					$id_utentihs = $mydbG->LastInsertedId;
					
					if($id_utentihs>0){
                                            
                    if(!isset($usr_cfiscale)) $usr_cfiscale = '';
					/*	
						$citta_nas_est = ""; $flagnaz = "I";
						if($usr_codice_paese_nas!=114){
							
							$citta_nas_est = $usr_luogo_nas; 
							$flagnaz = "E";
						}
						
					$usr_nato_il = "$usr_data_nascita_a-$usr_data_nascita_m-$usr_data_nascita_d";
						
					$sql = "INSERT INTO $tbl_anag ( id_utenti_anag, cognome, nome, cfiscale,  piva, sesso, nas_localita, nas_data, nas_comune, nas_provincia, nas_flagnaz, nas_est_localita, nas_est_nazione, ";
				        $sql .= "docu_tipo, docu_numero, docu_ufficio, docu_luogo, docu_rilascio, docu_scadenza, resi_via, resi_comune, resi_provincia, resi_cap, resi_est_localita, resi_est_nazione, ";
				        $sql .= "domi_via, domi_comune, domi_provincia, domi_cap, domi_est_localita, domi_est_nazione, tel, cell, nomebreve, resi_localita, domi_localita) VALUES ( ";
				        $sql = $sql."$id_utentihs, '$usr_cognome', '$usr_nome', '$usr_cf', '$usrf_piva', '$usr_sesso', '$usr_luogo_nas', ";
				        $sql = $sql."'$usr_nato_il', '', '', '$flagnaz', '$citta_nas_est', ";
				        $sql = $sql."'$usr_codice_paese_nas', '', '', '', '', ";
				        $sql = $sql."'', '', ";
				
				        $sql = $sql."'$usr_indirizzo', '$usr_comune', '$usr_provincia', ";
				        $sql = $sql."'$usr_cap', '$usr_citta', '$usr_codice_paese', ";
				
				        $sql = $sql."'$usr_domi_indirizzo', '$usr_domi_comune', '$usr_domi_provincia', ";
				        $sql = $sql."'$usr_domi_cap', '$usr_domi_est_localita', '$usr_domi_codice_paese', ";
				
				        $sql = $sql."'$usr_telefono', '$usr_cellulare', '', '$usr_localita', '$usr_domi_localita' )";
				        */
                        $sql = "INSERT INTO $tbl_utentiG_anag ( $tbl_keyanag, cognome, nome, cfiscale   ";
				        #$sql .= ", piva, resi_via, resi_comune_txt, resi_provincia_txt, resi_cap, resi_telefono ";
				        $sql .= ") VALUES ( ";
				        $sql = $sql."$id_utentihs, '$usr_cognome', '$usr_nome', '$usr_cfiscale'  ";
				        
				      #  $sql = $sql.", '','$usr_indirizzo', '$usr_citta', '$usr_prov', ";
				      #  $sql = $sql."'$usr_cap', '$usr_telefono'";
				
				       				
				        $sql = $sql.")";
                                        
				        $mydbG->ExecSql($sql);
				        
				        $sql = "UPDATE $tbl_utenti SET $fkey=$id_utentihs WHERE id_utenti=$idu";
				        $mydb->ExecSql($sql);
                           
						if(isset($usr_group) && $usr_group>0)
						{
							$sql = "INSERT INTO $tbl_utentiG_gruppi (id_utente, id_gruppo, tab) VALUES ($id_utentihs, $usr_group, '0')";
							$mydbG->ExecSql($sql);
						}
						/*
						if($gruppo==0)
                                        {  
                                        $sql = "INSERT INTO anagrafiche_contatti (id_azienda, id_utente_ext) VALUES ($idAzienda, $id_utentihs)";
                                        $mydbG->ExecSql($sql);
						} else {
							$sql = "SELECT ta.* FROM gruppi_anagrafiche as tg, anagrafiche_gruppi as tag, aziende_anag as ta WHERE tag.id_gruppo = tg.id_gruppo AND tag.id_utente=ta.id_utenti_anag AND tag.id_gruppo=$idGruppo";
							$a = $mydbG->DoSelect($sql);
							if(is_array($a))
								foreach($a as $k => $r)
							{
								$ida = $r['id_utenti_anag'];
								$sql = "INSERT INTO anagrafiche_contatti (id_azienda, id_utente_ext) VALUES ($ida, $id_utentihs)";
                                $mydbG->ExecSql($sql);
							}
						}
                        */                
						
					}
    		
    		
    			}
    			

    			
    			
    		} else {
    			
    			$prosegui = false;
    			
    			$errmsg = "Si &egrave; verificato un errore.<br/>Se il problema permane potete scrivere all'indirizzo <a href=\"mailto:$_emailwm\">$_emailwm</a>";
    			
    			add_log(Date("Y-m-d H:i")." REGISTRAZIONE UTENTE: KO ".$sql."\n\n");
    			
    		}
    	}

	    
	if($prosegui){

            
            if($_szalias=="registrazione") {

		   // inviaEmailRegPsw($idu,$usr_password);
                inviaEmailRegistrazione($usr_email);
			
	           include $incpath."contents/reg_02b.php";

            }

           // $_SESSION['usrparams'] = "";
           // $_SESSION['usrfparams'] = "";            
		    
		    
	} else  {

                       
		$step="1";

		require_once $incpath."contents/reg_02.php";

	}
        }//sessione attiva
        else {
            $step=0;
            require_once $incpath."contents/reg_01.php";
        }
